package lectura_ficheros;

import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

public class PanelOpciones extends JPanel implements ActionListener{

	 /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	String[] metadatos = new String[4];
	
	JFrame frame;
	GridBagLayout gridbag;
	
	JTextField tf1,tf2,tf3,tf4;
	JButton b1,b2,b3;

	public PanelOpciones (String nombre_panel, String[] metadatos){ 
	//metadatos = [ obj_estudio, unids, data, lugar ]
		super (new GridBagLayout());
		this.metadatos = metadatos;
		
		gridbag = new GridBagLayout();
		
        frame = new JFrame(nombre_panel);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        
    	//etiquetas
        JLabel etiq1 = new JLabel( "Objeto de estudio:" );
        JLabel etiq2 = new JLabel( "Unidades:" );
        JLabel etiq3 = new JLabel( "Fecha:" );
        JLabel etiq4 = new JLabel( "Lugar:" );

        //campos de texto
        tf1 = new JTextField(60);
        tf2 = new JTextField(60);
        tf3 = new JTextField(60);
        tf4 = new JTextField(60);
        
        //Rellenar los campos de texto con los datos apropiados
        //campos de texto
        tf1.setText(metadatos[0]);
        tf2.setText(metadatos[1]);
        tf3.setText(metadatos[2]);
        tf4.setText(metadatos[3]);
        
        //botones
        b1 = new JButton( "Cargar datos" );
        b1.addActionListener(this);
        
        setLayout( gridbag );
        
        //aadimos los componentes a "frame" para formar el JPanel
        addComponente( etiq1, 0,0,1,1 );	addComponente( tf1, 2,0,1,1 );
        addComponente( etiq2, 0,1,1,1);     addComponente( tf2, 2,1,1,1);
        addComponente( etiq3, 0,2,1,1);     addComponente( tf3, 2,2,1,1);
        addComponente( etiq4, 0,3,1,1);     addComponente( tf4, 2,3,1,1);
        addComponente( b1, 2,4,1,1);
        
        //Add content to the window.
        frame.add(this);

        //Display the window.
        frame.pack();
        frame.setVisible(true);
        
        }
    
    void addComponente( Component comp, int gridx, int gridy, int gridw, int gridh ) {
        GridBagConstraints gbc = new GridBagConstraints();
        gbc.gridx = gridx;
        gbc.gridy = gridy;
        gbc.gridwidth = gridw;
        gbc.gridheight = gridh;
        gridbag.setConstraints( comp,gbc );
        this.add( comp );
    }

	public void actionPerformed(ActionEvent e) {
    	//TODO hacer que los botones se pulsen con el intro tambien
		//TODO PARA LA BD -> ver que no se anhaden datos incoherentes. Mismas fecha y lugar y diferentes valores
		if (e.getSource() == b1) {
        	metadatos[0] = new String (tf1.getText());	//objeto de estudio
        	metadatos[1] = new String (tf2.getText());	//unidades
        	metadatos[2] = new String (tf3.getText());	//data
        	metadatos[3] = new String (tf4.getText());	//lugar

        	frame.hide();
        }
	}

	public String[] getMetadatos() {
		return metadatos;
	}
}
